Note: This is a public test instance of Red Hat Bugzilla. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback at bugzilla.redhat.com.

Bug 1383447

Summary: Review Request: python-winrm - Python library for Windows Remote Management
Product: [Fedora] Fedora Reporter: James Hogarth <james.hogarth>
Component: Package ReviewAssignee: Kevin Fenzi <kevin>
Status: CLOSED CURRENTRELEASE QA Contact: Fedora Extras Quality Assurance <extras-qa>
Severity: medium Docs Contact:
Priority: medium    
Version: rawhideCC: kevin, package-review
Target Milestone: ---Flags: kevin: fedora-review+
Target Release: ---   
Hardware: All   
OS: Linux   
Whiteboard:
Fixed In Version: Doc Type: If docs needed, set a value
Doc Text:
Story Points: ---
Clone Of: Environment:
Last Closed: 2016-12-20 10:13:19 UTC Type: ---
Regression: --- Mount Type: ---
Documentation: --- CRM:
Verified Versions: Category: ---
oVirt Team: --- RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: --- Target Upstream Version:
Bug Depends On: 1383445    
Bug Blocks:    

Description James Hogarth 2016-10-10 15:58:41 UTC
Spec URL: https://jhogarth.fedorapeople.org/python-winrm/python-winrm.spec
SRPM URL: https://jhogarth.fedorapeople.org/python-winrm/python-winrm-0.2.1-1.fc25.src.rpm

Description: python-winrm is a Python client for the Windows Remote Management (WinRM) service. It allows you to invoke commands on target Windows machines from any machine that can run Python.

WinRM allows you to perform various management tasks remotely. These include, but are not limited to: running batch scripts, powershell scripts, and fetching WMI variables.

Fedora Account System Username: jhogarth

Comment 1 Kevin Fenzi 2016-10-19 01:27:20 UTC
Package Review
==============

Legend:
[x] = Pass, [!] = Fail, [-] = Not applicable, [?] = Not evaluated
[ ] = Manual review needed

* There doesn't seem to be a %changelog ? 

* Some of the tests appear to be 0 length files, and should they really be 
shipped in the package? Not a blocker, just something to consider. 

Add the %changelog section and this package is APPROVED. 

===== MUST items =====

Generic:
[x]: Package is licensed with an open-source compatible license and meets
     other legal requirements as defined in the legal section of Packaging
     Guidelines.
[x]: License field in the package spec file matches the actual license.
     Note: Checking patched sources after %prep for licenses. Licenses
     found: "MIT/X11 (BSD like)", "Unknown or generated". 18 files have
     unknown license. Detailed output of licensecheck in
     /home/fedora/kevin/1383447-python-winrm/licensecheck.txt
[x]: License file installed when any subpackage combination is installed.
[x]: Package contains no bundled libraries without FPC exception.
[x]: Changelog in prescribed format.
[x]: Sources contain only permissible code or content.
[-]: Package contains desktop file if it is a GUI application.
[-]: Development files must be in a -devel package
[x]: Package uses nothing in %doc for runtime.
[x]: Package consistently uses macros (instead of hard-coded directory
     names).
[x]: Package is named according to the Package Naming Guidelines.
[x]: Package does not generate any conflict.
[x]: Package obeys FHS, except libexecdir and /usr/target.
[-]: If the package is a rename of another package, proper Obsoletes and
     Provides are present.
[x]: Requires correct, justified where necessary.
[x]: Spec file is legible and written in American English.
[x]: Package contains systemd file(s) if in need.
[x]: Package is not known to require an ExcludeArch tag.
[x]: Large documentation must go in a -doc subpackage. Large could be size
     (~1MB) or number of files.
     Note: Documentation size is 20480 bytes in 4 files.
[x]: Package complies to the Packaging Guidelines
[x]: Package successfully compiles and builds into binary rpms on at least
     one supported primary architecture.
[x]: Package installs properly.
[x]: Rpmlint is run on all rpms the build produces.
     Note: There are rpmlint messages (see attachment).
[x]: If (and only if) the source package includes the text of the
     license(s) in its own file, then that file, containing the text of the
     license(s) for the package is included in %license.
[x]: Package requires other packages for directories it uses.
[x]: Package must own all directories that it creates.
[x]: Package does not own files or directories owned by other packages.
[x]: All build dependencies are listed in BuildRequires, except for any
     that are listed in the exceptions section of Packaging Guidelines.
[x]: Package uses either %{buildroot} or $RPM_BUILD_ROOT
[x]: Package does not run rm -rf %{buildroot} (or $RPM_BUILD_ROOT) at the
     beginning of %install.
[x]: Macros in Summary, %description expandable at SRPM build time.
[x]: Dist tag is present.
[x]: Package does not contain duplicates in %files.
[x]: Permissions on files are set properly.
[x]: Package use %makeinstall only when make install DESTDIR=... doesn't
     work.
[x]: Package is named using only allowed ASCII characters.
[x]: Package does not use a name that already exists.
[x]: Package is not relocatable.
[x]: Sources used to build the package match the upstream source, as
     provided in the spec URL.
[x]: Spec file name must match the spec package %{name}, in the format
     %{name}.spec.
[x]: File names are valid UTF-8.
[x]: Packages must not store files under /srv, /opt or /usr/local

Python:
[x]: Python eggs must not download any dependencies during the build
     process.
[x]: A package which is used by another package via an egg interface should
     provide egg info.
[x]: Package meets the Packaging Guidelines::Python
[x]: Package contains BR: python2-devel or python3-devel
[x]: Binary eggs must be removed in %prep

===== SHOULD items =====

Generic:
[x]: If the source package does not include license text(s) as a separate
     file from upstream, the packager SHOULD query upstream to include it.
[x]: Final provides and requires are sane (see attachments).
[x]: Fully versioned dependency in subpackages if applicable.
     Note: No Requires: %{name}%{?_isa} = %{version}-%{release} in
     python2-winrm , python3-winrm
[x]: Package functions as described.
[x]: Latest version is packaged.
[x]: Package does not include license text files separate from upstream.
[x]: Description and summary sections in the package spec file contains
     translations for supported Non-English languages, if available.
[x]: Package should compile and build into binary rpms on all supported
     architectures.
[x]: %check is present and all tests pass.
[x]: Packages should try to preserve timestamps of original installed
     files.
[x]: Reviewer should test that the package builds in mock.
[x]: Buildroot is not present
[x]: Package has no %clean section with rm -rf %{buildroot} (or
     $RPM_BUILD_ROOT)
[x]: No file requires outside of /etc, /bin, /sbin, /usr/bin, /usr/sbin.
[x]: Packager, Vendor, PreReq, Copyright tags should not be in spec file
[x]: Sources can be downloaded from URI in Source: tag
[x]: SourceX is a working URL.
[x]: Spec use %global instead of %define unless justified.

===== EXTRA items =====

Generic:
[x]: Rpmlint is run on all installed packages.
     Note: There are rpmlint messages (see attachment).
[x]: Spec file according to URL is the same as in SRPM.


Rpmlint
-------
Checking: python2-winrm-0.2.1-1.fc26.noarch.rpm
          python3-winrm-0.2.1-1.fc26.noarch.rpm
          python-winrm-0.2.1-1.fc26.src.rpm
python2-winrm.noarch: E: no-changelogname-tag
python2-winrm.noarch: E: zero-length /usr/lib/python2.7/site-packages/winrm/tests/test_cmd.py
python2-winrm.noarch: E: zero-length /usr/lib/python2.7/site-packages/winrm/tests/test_powershell.py
python2-winrm.noarch: E: zero-length /usr/lib/python2.7/site-packages/winrm/tests/sample_script.ps1
python2-winrm.noarch: E: zero-length /usr/lib/python2.7/site-packages/winrm/tests/test_nori_type_casting.py
python2-winrm.noarch: E: zero-length /usr/lib/python2.7/site-packages/winrm/tests/test_wql.py
python3-winrm.noarch: E: no-changelogname-tag
python3-winrm.noarch: E: zero-length /usr/lib/python3.5/site-packages/winrm/tests/test_nori_type_casting.py
python3-winrm.noarch: E: zero-length /usr/lib/python3.5/site-packages/winrm/tests/test_cmd.py
python3-winrm.noarch: E: zero-length /usr/lib/python3.5/site-packages/winrm/tests/test_powershell.py
python3-winrm.noarch: E: zero-length /usr/lib/python3.5/site-packages/winrm/tests/sample_script.ps1
python3-winrm.noarch: E: zero-length /usr/lib/python3.5/site-packages/winrm/tests/test_wql.py
python-winrm.src: E: no-changelogname-tag
3 packages and 0 specfiles checked; 13 errors, 0 warnings.




Rpmlint (installed packages)
----------------------------
python3-winrm.noarch: E: no-changelogname-tag
python3-winrm.noarch: E: zero-length /usr/lib/python3.5/site-packages/winrm/tests/test_powershell.py
python3-winrm.noarch: E: zero-length /usr/lib/python3.5/site-packages/winrm/tests/test_cmd.py
python3-winrm.noarch: E: zero-length /usr/lib/python3.5/site-packages/winrm/tests/test_wql.py
python3-winrm.noarch: E: zero-length /usr/lib/python3.5/site-packages/winrm/tests/test_nori_type_casting.py
python3-winrm.noarch: E: zero-length /usr/lib/python3.5/site-packages/winrm/tests/sample_script.ps1
python2-winrm.noarch: E: no-changelogname-tag
python2-winrm.noarch: E: zero-length /usr/lib/python2.7/site-packages/winrm/tests/test_powershell.py
python2-winrm.noarch: E: zero-length /usr/lib/python2.7/site-packages/winrm/tests/test_wql.py
python2-winrm.noarch: E: zero-length /usr/lib/python2.7/site-packages/winrm/tests/test_nori_type_casting.py
python2-winrm.noarch: E: zero-length /usr/lib/python2.7/site-packages/winrm/tests/test_cmd.py
python2-winrm.noarch: E: zero-length /usr/lib/python2.7/site-packages/winrm/tests/sample_script.ps1
2 packages and 0 specfiles checked; 12 errors, 0 warnings.



Requires
--------
python3-winrm (rpmlib, GLIBC filtered):
    python(abi)
    python3-requests_ntlm
    python3-xmltodict

python2-winrm (rpmlib, GLIBC filtered):
    python(abi)
    python2-requests_ntlm
    python2-xmltodict



Provides
--------
python3-winrm:
    python3-winrm
    python3.5dist(pywinrm)
    python3dist(pywinrm)

python2-winrm:
    python-winrm
    python2-winrm
    python2.7dist(pywinrm)
    python2dist(pywinrm)



Source checksums
----------------
https://github.com/diyan/pywinrm/archive/v0.2.1.tar.gz#/pywinrm-0.2.1.tar.gz :
  CHECKSUM(SHA256) this package     : b919767eb2598944c6437629de6f5da3b79374d6d409c7b99a167f376f1c6c75
  CHECKSUM(SHA256) upstream package : b919767eb2598944c6437629de6f5da3b79374d6d409c7b99a167f376f1c6c75


Generated by fedora-review 0.6.1 (f03e4e7) last change: 2016-05-02
Command line :/usr/bin/fedora-review -b 1383447
Buildroot used: fedora-rawhide-x86_64
Active plugins: Python, Generic, Shell-api
Disabled plugins: Java, C/C++, fonts, SugarActivity, Ocaml, Perl, Haskell, R, PHP
Disabled flags: EXARCH, DISTTAG, EPEL5, BATCH, EPEL6

Comment 2 James Hogarth 2016-10-19 19:05:45 UTC
Don't know how I managed to miss a changelog in that somehow...

Thanks Kevin I'll get that fixed up and import tomorrow... And then we get winrm in Fedora for ansible to manage windows systems :)

Comment 3 Kevin Fenzi 2016-10-19 21:04:28 UTC
Do you think we should add some deps on ansible for this stack? 

Or will people doing windows management see the error(s) and install these?

Comment 4 James Hogarth 2016-10-19 21:09:30 UTC
It's an interesting question for sure...

Attempting to use the winrm connector will show the error that python-winrm isn't installed just like when trying to use certain modules so it'll be obvious what needs installing.

Also ansible is primarily used on *nix systems via SSH (or direct execution) and the windows stuff is only just starting to grow, and far less common... As such it'll be a pointless install for most people and a superfluous dependency.

It would probably be a good candidate for a suggests rather than requires or recommends.

Comment 5 Kevin Fenzi 2016-10-20 13:58:00 UTC
Yeah, we could add suggests in Fedora at least... but not in EPEL. 

I guess lets see how popular things get. Thanks for packaging this all up...

Comment 6 Gwyn Ciesla 2016-10-24 12:53:09 UTC
Package request has been approved: https://admin.fedoraproject.org/pkgdb/package/rpms/python-winrm

Comment 7 Fedora Update System 2016-10-26 00:52:16 UTC
python-winrm-0.2.1-1.fc23 has been pushed to the Fedora 23 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2016-cb31d4bc54

Comment 8 Fedora Update System 2016-10-26 03:21:39 UTC
python-winrm-0.2.1-1.fc24 has been pushed to the Fedora 24 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2016-fdba9abd92

Comment 9 Fedora Update System 2016-10-26 04:25:06 UTC
python-winrm-0.2.1-1.fc25 has been pushed to the Fedora 25 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2016-caea5c3f77

Comment 10 Fedora Update System 2016-11-03 18:21:02 UTC
python-winrm-0.2.1-1.fc25 has been pushed to the Fedora 25 stable repository. If problems still persist, please make note of it in this bug report.

Comment 11 Fedora Update System 2016-11-03 23:54:06 UTC
python-winrm-0.2.1-1.fc24 has been pushed to the Fedora 24 stable repository. If problems still persist, please make note of it in this bug report.

Comment 12 Fedora Update System 2016-11-04 02:51:10 UTC
python-winrm-0.2.1-1.fc23 has been pushed to the Fedora 23 stable repository. If problems still persist, please make note of it in this bug report.

Comment 13 Fedora Update System 2016-11-19 21:02:10 UTC
python-winrm-0.2.1-1.fc25 has been pushed to the Fedora 25 stable repository. If problems still persist, please make note of it in this bug report.